      subroutine subinterfh(ayr,amn,ady,aut,ifob,ihob,m3ob)
C...............................................................May 2025
C
C read foF2 & hmF2 & M3F2 from scaled SGO plots
C
       DIMENSION ifdat(0:23),ihdat(0:23),imdat(0:23)
	CHARACTER*2 AYR,AMN,ADY,AUT,BYR,BMN,BDY
       CHARACTER*128 infilef,infileh,infilem,txt
C
      ifob=0
	ihob=0
	mrob=0
        infilef='f:\web\dat1\YR\soYRMN.txt'
        infilem='f:\web\dat5\YR\soYRMNm.txt'
	infileh='f:\web\dat6\YR\soYRMNh.txt'
	infilef(13:14)=AYR
      infilef(18:19)=AYR
	infilef(20:21)=AMN
	OPEN(17,file=infilef,action='read')
	infileh(13:14)=AYR
      infileh(18:19)=AYR
	infileh(20:21)=AMN
	OPEN(18,file=infileh,action='read')
	infilem(13:14)=AYR
      infilem(18:19)=AYR
	infilem(20:21)=AMN
	OPEN(19,file=infilem,action='read')
C title lines
	DO k=1,4
	read(17,*) txt
	read(18,*) txt
	read(19,*) txt
	ENDDO
C
      read(ADY,*) rdy
	idy=int(rdy)
      read(AUT,*) rut
	iut=int(rut)
C
   30 format(3A2,24(2X,I3))
       DO nn=1,idy
	read(17,30,end=51) BYR,BMN,BDY,(ifdat(k),k=0,23)
	enddo
	if ((AYR.eq.BYR).and.(AMN.eq.BMN).and.(ADY.eq.BDY)) then
	ifob=ifdat(iut)
	endif
   51 close(17)
C
       DO nn=1,idy
	read(18,30,end=52) BYR,BMN,BDY,(ihdat(k),k=0,23)
	enddo
	if ((AYR.eq.BYR).and.(AMN.eq.BMN).and.(ADY.eq.BDY)) then
	ihob=ihdat(iut)
	endif
   52	close(18)
C
       DO nn=1,idy
	read(19,30,end=53) BYR,BMN,BDY,(imdat(k),k=0,23)
	enddo
	if ((AYR.eq.BYR).and.(AMN.eq.BMN).and.(ADY.eq.BDY)) then
	m3ob=imdat(iut)
	endif
   53 close(19)
C
      RETURN
	END 